{
  "id": "wayside_shrine",
  "name": {
    "en": "Wayside Shrines"
  },
  "description": {
    "en": "Shrines are religious places that are dedicated to specific deities, saints and other figures of religious importance. Typically, the contain religious depictions and people frequently leave offerings at those places. Wayside shrines are small shrines that can be found next to a road or pathway and are frequented by travellers passing by."
  },
  "source": {
    "osmTags": "historic=wayside_shrine"
  },
  "minzoom": 12,
  "title": {
    "render": {
      "en": "Wayside Shrine {name}"
    }
  },
  "pointRendering": [
    {
      "iconSize": "40,40",
      "location": [
        "point"
      ],
      "anchor": "center",
      "marker": [
        {
          "icon": "circle",
          "color": "white"
        },
        {
          "icon": "./assets/layers/wayside_shrine/shrine.svg"
        }
      ]
    }
  ],
  "lineRendering": [
    {
      "color": "#00f",
      "width": "8"
    }
  ],
  "presets": [
    {
      "tags": [
        "historic=wayside_shrine"
      ],
      "title": {
        "en": "a wayside shrine"
      },
      "description": {
        "en": "A wayside shrine typically shows a religious depiction, usually placed by a road or pathway. "
      },
      "exampleImages": [
        "./assets/layers/wayside_shrine/shrine_example1.jpg",
        "./assets/layers/wayside_shrine/shrine_example2.jpg",
        "./assets/layers/wayside_shrine/shrine_example3.jpg"
      ]
    },
    {
      "tags": [
        "historic=wayside_shrine"
      ],
      "title": {
        "en": "a wayside shrine mounted on a wall"
      },
      "snapToLayer": [
        "walls_and_buildings"
      ],
      "description": {
        "en": "A wayside shrine typically shows a religious depiction, usually placed by a road or pathway. This shrine is mounted on a wall"
      },
      "exampleImages": [
        "./assets/layers/wayside_shrine/MountedShrineExample.jpg"
      ]
    }
  ],
  "tagRenderings": [
    "images",
    {
      "question": {
        "en": "What's the name of this shrine?"
      },
      "id": "shrine_name",
      "labels": [
        "shrine_questions"
      ],
      "freeform": {
        "key": "name",
        "type": "string",
        "addExtraTags": [
          "noname="
        ]
      },
      "render": {
        "en": "The name of this shrine is <b>{name}</b>"
      },
      "mappings": [
        {
          "if": "noname=yes",
          "alsoShowIf": "name=",
          "then": {
            "en": "This shrine does not have a name"
          }
        }
      ]
    },
    {
      "question": {
        "en": "To which religion is this shrine dedicated?"
      },
      "id": "religion",
      "labels": [
        "shrine_questions"
      ],
      "mappings": [
        {
          "if": "religion=christian",
          "then": {
            "en": "This is a Christian shrine"
          }
        },
        {
          "if": "religion=buddhist",
          "then": {
            "en": "This is a Buddhist shrine"
          }
        },
        {
          "if": "religion=hindu",
          "then": {
            "en": "This is a Hindu shrine"
          }
        },
        {
          "if": "religion=jain",
          "then": {
            "en": "This is a Jain shrine"
          }
        },
        {
          "if": "religion=jewish",
          "then": {
            "en": "This is a Jewish shrine"
          }
        },
        {
          "if": "religion=muslim",
          "then": {
            "en": "This is an Islamic shrine"
          }
        },
        {
          "if": "religion=pagan",
          "then": {
            "en": "This is a Pagan shrine"
          }
        },
        {
          "if": "religion=shinto",
          "then": {
            "en": "This is a Shinto shrine"
          }
        },
        {
          "if": "religion=sikh",
          "then": {
            "en": "This is a Sikh shrine"
          }
        },
        {
          "if": "religion=taoist",
          "then": {
            "en": "This is a Taoist shrine"
          }
        },
        {
          "if": "religion=zoroastrian",
          "then": {
            "en": "This is a Zoroastrian shrine"
          }
        }
      ],
      "multiAnswer": false,
      "freeform": {
        "key": "religion",
        "type": "string"
      },
      "render": {
        "en": "This shrine is {religion}"
      }
    },
    {
      "question": {
        "en": "What's the Christian denomination of the shrine?"
      },
      "id": "denomination_christian",
      "labels": [
        "shrine_questions"
      ],
      "condition": {
        "and": [
          "religion=christian"
        ]
      },
      "mappings": [
        {
          "if": "denomination=catholic",
          "then": {
            "en": "The religious subdenomination is Catholic"
          }
        },
        {
          "if": "denomination=roman_catholic",
          "then": {
            "en": "The religious subdenomination is Roman Catholic"
          }
        },
        {
          "if": "denomination=orthodox",
          "then": {
            "en": "The religious subdenomination is Orthodox"
          }
        },
        {
          "if": "denomination=greek_orthodox",
          "then": {
            "en": "The religious subdenomination is Greek-Orthodox"
          }
        },
        {
          "if": "denomination=russian_orthodox",
          "then": {
            "en": "The religious subdenomination is Russian-Orthodox"
          }
        },
        {
          "if": "denomination=serbian_orthodox",
          "then": {
            "en": "The religious subdenomination is Serbian Orthodox"
          }
        },
        {
          "if": "denomination=protestant",
          "then": {
            "en": "The religious subdenomination is Protestant"
          }
        },
        {
          "if": "denomination=anglican",
          "then": {
            "en": "The religious subdenomination is Anglican"
          }
        },
        {
          "if": "denomination=adventist",
          "then": {
            "en": "The religious subdenomination is Adventist"
          }
        },
        {
          "if": "denomination=evangelical",
          "then": {
            "en": "The religious subdenomination is evangelical"
          }
        }
      ],
      "render": {
        "en": "The religious denomination is <b>{denomination}</b>"
      },
      "freeform": {
        "key": "denomination"
      }
    },
    {
      "mappings": [
        {
          "if": "denomination=shia",
          "then": {
            "en": "The religious subdenomination is Shia"
          }
        },
        {
          "if": "denomination=sunni",
          "then": {
            "en": "The religious subdenomination is Sunni"
          }
        },
        {
          "if": "denomination=sufi",
          "then": {
            "en": "The religious subdenomination is Sufi"
          }
        }
      ],
      "id": "denomination_muslim",
      "labels": [
        "shrine_questions"
      ],
      "freeform": {
        "key": "denomination"
      },
      "render": {
        "en": "The religious subdenomination is {denomination}"
      },
      "question": {
        "en": "What's the Muslim denomination of this shrine?"
      },
      "condition": {
        "and": [
          "religion=muslim"
        ]
      }
    },
    {
      "mappings": [
        {
          "if": "denomination=conservative",
          "then": {
            "en": "The religious subdenomination is Conservative"
          }
        },
        {
          "if": "denomination=orthodox",
          "then": {
            "en": "The religious subdenomination is Orthodox"
          }
        },
        {
          "if": "denomination=hasidic",
          "then": {
            "en": "The religious subdenomination is Hasidic"
          }
        },
        {
          "if": "denomination=reform",
          "then": {
            "en": "The religious subdenomination is Reform"
          }
        }
      ],
      "id": "denomination_jewish",
      "labels": [
        "shrine_questions"
      ],
      "freeform": {
        "key": "denomination"
      },
      "render": {
        "en": "The religious subdenomination is {denomination}"
      },
      "question": {
        "en": "What's the Jewish denomination of this shrine?"
      },
      "condition": {
        "and": [
          "religion=jewish"
        ]
      }
    },
    {
      "question": {
        "en": "What's the denomination of this shrine?"
      },
      "id": "denomination_other",
      "labels": [
        "shrine_questions"
      ],
      "render": {
        "en": "The denomination of this shrine is {denomination}"
      },
      "freeform": {
        "key": "denomination"
      },
      "condition": {
        "and": [
          "religion!=christian",
          "religion!=muslim",
          "religion!=jewish",
          "religion!="
        ]
      }
    },
    "level"
  ],
  "deletion": {
    "softDeletionTags": {
      "and": [
        "disused:historic:={historic}",
        "historic="
      ]
    },
    "neededChangesets": 1
  },
  "allowMove": {
    "enableImproveAccuracy": true,
    "enableRelocation": false
  },
  "credits": "Bastian Greshake Tzovaras",
  "credits:uid": 20617622
}
